What version of mod_jk version is supported on RHEL ?

Solution Verified - Updated -

Issue

  • What is the mod_jk version compatible with httpd 2.2.* on RHEL?
  • Do any RHEL packages/subscriptions provide mod_jk?
  • Customer tried to install mod_jk-ap20-1.2.28-2.el5s2.x86_64.rpm to work with httpd 2.2.*
  • I have JBoss EWS 5Server x86_64 from channel jb-ews-1-x86_64-server-5-rpm. The mod_jk-ap20 package is, by its description, only meant for Apache 2.0 but only Apache 2.2 comes with that channel & RHEL5's base channel. So, what is that mod_jk-ap20 package's purpose? We've installed it and our web developers seem to be using it OK with Apache 2.2. Is the package's description just wrong? See RPM description below:

    [user@localhost ~]$ rpm -qi mod_jk-ap20 | grep -A99 Description
    Description :
    Tomcat mod_jk connector for Apache 2.0.x.
    

Environment

  • Red Hat Enterprise Linux (RHEL)
    • 5
    • 6
    • 7
  • Red Hat Network (RHN)
  • httpd
    • 2.2.*
  • mod_jk
  • JBoss Enterprise Application Platform (EAP)
  • JBoss Web Server (JWS, former EWS)
    • 2.x
    • 3.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In